import { createRouter, createWebHistory } from "vue-router";
import LayoutView from "../layout/index.vue";
import LoginView from "../login/index.vue";

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/",
      component: LayoutView,
      children: [
        {
          path: "/equipment",
          component: () => import("@/views/equipment/index.vue"),
        },
        {
          path: "/data_source",
          component: () => import("@/views/data/source/index.vue"),
        },
        {
          path: "/data_edit",
          component: () => import("@/views/data/edit/index.vue"),
        },
        {
          path: "/data_checkout",
          component: () => import("@/views/data/checkout/index.vue"),
        },
        {
          path: "/report_create",
          component: () => import("@/views/report/create/index.vue"),
        },
        {
          path: "/report_edit",
          component: () => import("@/views/report/edit/index.vue"),
        },
        {
          path: "/report_audit",
          component: () => import("@/views/report/audit/index.vue"),
        },
      ],
    },
    {
      path: "/login",
      component: LoginView,
    },
  ],
});

export default router;
